const sh = path.basename(filename, `.js`);
add(`${sh}_vs.fx`, { saveAs: `${sh}_vs_shadow.fxo`, defines: { 'MODE_SHADOW': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_shadow.fxo`, defines: { 'MODE_SHADOW': 1 } });
add(`${sh}_vs.fx`, { saveAs: `${sh}_vs_ripple.fxo`, defines: { 'MODE_RIPPLE': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_ripple.fxo`, defines: { 'MODE_RIPPLE': 1 } });
add(`${sh}_vs.fx`, { saveAs: `${sh}_vs_gbuffer.fxo`, defines: { 'MODE_GBUFFER': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_gbuffer.fxo`, defines: { 'MODE_GBUFFER': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_gbuffer_refl.fxo`, defines: { 'MODE_GBUFFER': 1, 'CREATE_REFLECTION_BUFFER': 1 } });
add(`${sh}_vs.fx`, { saveAs: `${sh}_vs_splashes.fxo`, defines: { 'MODE_SPLASHES': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_splashes.fxo`, defines: { 'MODE_SPLASHES': 1 } });